%define rel 2
%define rhrel %([ -f /etc/redhat-release ] && rpm -q --qf %{VERSION} redhat-release)
%define rhtag %([ -n "%{rhrel}" ] && echo .%{rhrel})

Summary:  Hungarian Linux manual pages
Summary(hu):  Magyar Linux kziknyv lapok
Name: man-pages-hu
Version: 20001008
Release: %{rel}%{rhtag}
License: GPL
BuildArch: noarch
ExclusiveOS: Linux
Requires: man
Group: Documentation
Source: http://www.kde.hu/mlp/man/man_hu_2000_10_08.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: /usr
Obsoletes: manpages-hu

%description
Hungarian manual pages for Linux.

%description -l hu
Magyar kziknyv lapok Linuxhoz.

%prep
%setup -c

%install
rm -rf %{buildroot}
for i in 1 2 3 4 5 6 7 8 n; do
	mkdir -p %{buildroot}%{_mandir}/hu/man${i}
	mkdir -p %{buildroot}/var/cache/man/hu/cat${i}
done
cp -r man* %{buildroot}%{_mandir}/hu
# These conflict with shadow-utils package
rm -f %{buildroot}%{_mandir}/hu/man1/gpasswd.1*
rm -f %{buildroot}%{_mandir}/hu/man1/sg.1*

%clean
rm -rf %{buildroot}

%post
if [ -e /etc/profile ]; then
	if [ ! -e /etc/sysconfig/i18n ] ; then
		if !( grep -q "LANG=.*hu.*" /etc/profile ); then
			echo -e export LANG=hu >> /etc/profile
		fi
	fi
	if [ ! -e /etc/profile.d/less.sh ] ; then
		if !( grep -q "LESSCHARSET=.*latin1.*" /etc/profile ); then
			echo -e export LESSCHARSET=latin1 >> /etc/profile
		fi
	fi
fi
if [ -e /etc/csh.login ]; then
	if [ ! -e /etc/sysconfig/i18n ] ; then
		if !( grep -q "setenv LANG .*hu.*" /etc/csh.login ); then
			echo -e setenv LANG hu >> /etc/csh.login
		fi
	fi
	if [ ! -e /etc/profile.d/less.csh ] ; then
		if !( grep -q "setenv LESSCHARSET .*latin1.*" /etc/csh.login ); then
			echo -e setenv LESSCHARSET latin1 >> /etc/csh.login
		fi
	fi
fi

if [ -e /etc/man.config ]; then
	if ! grep Tlatin1 /etc/man.config > /dev/null 2> /dev/null; then
		cp -pf /etc/man.config /etc/man.config.orig
		sed -e s/Tascii/Tlatin1/ /etc/man.config.orig > /etc/man.config
	fi
fi

if [ -e /usr/lib/mc/mc.ext ]; then
	if ! grep Tlatin1 /usr/lib/mc/mc.ext > /dev/null 2> /dev/null; then
		cp /usr/lib/mc/mc.ext /usr/lib/mc/mc.ext.orig
		sed s/Tascii/Tlatin1/ /usr/lib/mc/mc.ext.orig > /usr/lib/mc/mc.ext
	fi
fi

%postun
rm -rf /var/cache/man/hu

%files
%defattr(0644, root, man, 0755)
%{_mandir}/hu/
/var/cache/man/hu/

%changelog
* Wed May 21 2003 Sos Pter <sp@osb.hu>
- Fix shadow-utils conflicts in RedHat Linux 9
- Rename package to follow RedHat Linux package naming scheme

* Mon Apr 28 2003 Sos Pter <sp@osb.hu>
- RedHat Linux 9

* Fri Aug 23 2002 Sos Pter <sp@osb.hu>
- RedHat Linux 7.3

* Fri Oct 05 2001 Sos Pter <sp@osb.hu>
- RedHat Linux 7.2 beta
- A RedHat linux jabb vltozatai a /etc/sysconfig/i18n fjlt hasznljk
  a locale informcik belltsra s a /etc/profile.d knyvtrat a less
  s trsai belltsra, gyhogy ennek megfelelen mdostottam a
  post-install scriptet.

* Fri May 04 2001 Sos Pter <sp@osb.hu>
- RedHat Linux 7.1

* Wed Apr 18 2001 Sos Pter <sp@osb.hu>
- RedHat Linux 7.0

* Sat Mar 17 2001 Sos Pter <sp@osb.hu>
- 2000.10.08-ig elkszlt lapok

* Thu May 25 2000 Sos Pter <sp@osb.hu>
- A postinstall script javitsa, mert nem nem ellenrizte, hogy lteznek-e
  a mdostand fjlok

* Sat May 20 2000 Sos Pter <sp@osb.hu>
- 2000.05.17-ig elkszlt lapok
